org.hibernate.search.elasticsearch.analyzer.definition

## Interface ElasticsearchTypedAnalysisComponentDefinitionContext

- All Known Implementing Classes:
    ElasticsearchAnalysisComponentDefinitionContextImpl, ElasticsearchCharFilterDefinitionContextImpl, ElasticsearchTokenFilterDefinitionContextImpl, ElasticsearchTokenizerDefinitionContextImpl

      public interface ElasticsearchTypedAnalysisComponentDefinitionContext

  Author:
    Yoann Rodiere
  Experimental
    The specific API of this DSL is a prototype. Please let us know what you like and what you don't like, and bear in mind that this will likely change in any future version.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, boolean... values)` Set the value of a parameter to a given array of booleans.
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, boolean value)` Set the value of a parameter to a given boolean.
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, Number... values)` Set the value of a parameter to a given array of numbers (int, long, float, double, ...).
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, Number value)` Set the value of a parameter to a given number (int, long, float, double, ...).
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, String... values)` Set the value of a parameter to a given array of strings.
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, String value)` Set the value of a parameter to a given string.

- - ### Method Detail

    - #### param

          ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                     String value)

      Set the value of a parameter to a given string.

      Supported parameters depend on the `type` being used.

      Parameters:
        `name` - The name of the parameter.
        `value` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### param

          ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                     String... values)

      Set the value of a parameter to a given array of strings.

      Supported parameters depend on the `type` being used.

      Parameters:
        `name` - The name of the parameter.
        `values` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### param

          ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                     boolean value)

      Set the value of a parameter to a given boolean.

      Supported parameters depend on the `type` being used.

      Parameters:
        `name` - The name of the parameter.
        `value` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### param

          ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                     boolean... values)

      Set the value of a parameter to a given array of booleans.

      Supported parameters depend on the `type` being used.

      Parameters:
        `name` - The name of the parameter.
        `values` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### param

          ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                     Number value)

      Set the value of a parameter to a given number (int, long, float, double, ...).

      Supported parameters depend on the `type` being used.

      Parameters:
        `name` - The name of the parameter.
        `value` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### param

          ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                     Number... values)

      Set the value of a parameter to a given array of numbers (int, long, float, double, ...).

      Supported parameters depend on the `type` being used.

      Parameters:
        `name` - The name of the parameter.
        `values` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved